View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009645ParaViewBugpublic2009-10-02 08:542010-03-09 21:40
ReporterSven Buijssen 
Assigned ToDavid Partyka 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionDevelopment 
Target VersionFixed in Version3.8 
Summary0009645: XMLWriter segfaults when trying to set CompressorTypoe to ZLIB
DescriptionStart pvpython (paraview version 3.7.0, Date: 2009-10-01, 32-bit Linux) and execute the following code:
 from paraview.simple import *;
 Cylinder1 = Cylinder();
 CleantoGrid1 = CleantoGrid()
 writer = servermanager.writers.XMLUnstructuredGridWriter(FileName="foo.vtu",
                         DataMode=2, Input=CleantoGrid1, CompressorType=1);

and you'll get a segfault. It does not occur when setting CompressorType=0. (BTW: I could not find a regression test that checks this.)

gdb reveals a null pointer dereference:

Program received signal SIGSEGV, Segmentation fault.
0xaf29c93a in vtkXMLWriter::SetCompressorType (this=0x8f988f0, compressorType=1)
    at /data/ParaView3_Git/VTK/IO/vtkXMLWriter.cxx:298
298 this->Compressor->Delete();
(gdb) list
293
294 if (compressorType == ZLIB)
295 {
296 if (!this->Compressor || !this->Compressor->IsTypeOf("vtkZLibDataCompressor"))
297 {
298 this->Compressor->Delete();
299 this->Compressor = vtkZLibDataCompressor::New();
300 this->Modified();
301 }
302 return;
(gdb) print this->Compressor
$1 = (class vtkDataCompressor *) 0x0

A suggested patch is attached.
TagsNo tags attached.
Project
Topic Name
Type
Attached Filespatch file icon vtkXMLWriter.cxx.patch [^] (607 bytes) 2009-10-02 08:54 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0019684)
David Partyka (developer)
2010-03-02 12:26

Committed patch and it passes the continuous dashboards.
(0019685)
David Partyka (developer)
2010-03-02 12:27

Commited fix and it passes the continuous dashboards.
(0019785)
Alan Scott (manager)
2010-03-09 21:40

Not tested. Please reopen this bug if the problem still exists.

- Issue History
Date Modified Username Field Change
2009-10-02 08:54 Sven Buijssen New Issue
2009-10-02 08:54 Sven Buijssen File Added: vtkXMLWriter.cxx.patch
2010-03-02 12:08 David Partyka Status backlog => tabled
2010-03-02 12:08 David Partyka Assigned To => David Partyka
2010-03-02 12:26 David Partyka Note Added: 0019684
2010-03-02 12:27 David Partyka Note Added: 0019685
2010-03-02 12:27 David Partyka Status tabled => @80@
2010-03-02 12:27 David Partyka Fixed in Version => 3.8
2010-03-02 12:27 David Partyka Resolution open => fixed
2010-03-09 21:40 Alan Scott Note Added: 0019785
2010-03-09 21:40 Alan Scott Status @80@ => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker